diff --git a/core/base/inc/TStyle.h b/core/base/inc/TStyle.h
index 5214d7d..d2c567a 100644
--- a/core/base/inc/TStyle.h
+++ b/core/base/inc/TStyle.h
@@ -128,6 +128,7 @@ private:
    Float_t       fStatFontSize;      //font size in pixels for fonts with precision type 3
    Style_t       fStatStyle;         //fill area style of Stats PaveLabel
    TString       fStatFormat;        //Printing format for stats
+   TString       fStatRMSlabel;      //Label for the RMS entry in the stat box
    Float_t       fStatX;             //X position of top right corner of stat box
    Float_t       fStatY;             //Y position of top right corner of stat box
    Float_t       fStatW;             //width of stat box
@@ -259,6 +260,7 @@ public:
    Float_t          GetStatFontSize() const  {return fStatFontSize;}
    Style_t          GetStatStyle() const  {return fStatStyle;}
    const char      *GetStatFormat() const {return fStatFormat.Data();}
+   const char      *GetStatRMSlabel() const {return fStatRMSlabel.Data();}
    Float_t          GetStatX() const     {return fStatX;}
    Float_t          GetStatY() const     {return fStatY;}
    Float_t          GetStatW() const     {return fStatW;}
@@ -377,6 +379,7 @@ public:
    void             SetStatFont(Style_t font=62) {fStatFont=font;}
    void             SetStatFontSize(Float_t size=0)  {fStatFontSize=size;}
    void             SetStatFormat(const char *format="6.4g") {fStatFormat = format;}
+   void             SetStatRMSlabel(const char *label="RMS") {fStatRMSlabel = label;}
    void             SetStatX(Float_t x=0)    {fStatX=x;}
    void             SetStatY(Float_t y=0)    {fStatY=y;}
    void             SetStatW(Float_t w=0.19) {fStatW=w;}
